From: anu chandra (
Date: Fri Feb 27 2015 - 04:31:00 CST

Dear VMD users,

I have Ubuntu 14.04 LTS in my laptop and NVIDIA GeForce 710M graphics card.
I have installed VMD recently and when I start vmd, the console shows-up
following error.

Info) VMD for LINUXAMD64, version 1.9.2 (December 29, 2014)
Info) Email questions and bug reports to
Info) Please include this reference in published work using VMD:
Info) Humphrey, W., Dalke, A. and Schulten, K., `VMD - Visual
Info) Molecular Dynamics', J. Molec. Graphics 1996, 14.1, 33-38.
Info) -------------------------------------------------------------
Info) Multithreading available, 4 CPUs detected.
Info) Free system memory: 3354MB (87%)
Warning) Detected a mismatch between CUDA runtime and GPU driver
Warning) Check to make sure that GPU drivers are up to date.
Info) No CUDA accelerator devices available.
Warning) Detected X11 'Composite' extension: if incorrect display occurs
Warning) try disabling this X server option. Most OpenGL drivers
Warning) disable stereoscopic display when 'Composite' is enabled.
Info) OpenGL renderer: GeForce 710M/PCIe/SSE2
Info) Full GLSL rendering mode is available.
Info) Textures: 2-D (16384x16384), 3-D (2048x2048x2048), Multitexture (4)
Info) Dynamically loaded 2 plugins in directory:
Info) /usr/local/lib/vmd/plugins/LINUXAMD64/molfile
vmd > Info) VMD for LINUXAMD64, version 1.9.2 (December 29, 2014)
Info) Exiting normally.

I have installed the Nvidia driver and Ubuntu detect the card properly. The
Systems details shows the same.

When I did cat /proc/driver/nvidia/version, it shows as below..

NVRM version: NVIDIA UNIX x86_64 Kernel Module 331.113 Mon Dec 1
21:08:13 PST 2014
GCC version: gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1)

When I diid glxinfo | grep OpenGL, it shows

OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 710M/PCIe/SSE2
OpenGL core profile version string: 4.3.0 NVIDIA 331.113
OpenGL core profile shading language version string: 4.30 NVIDIA via Cg
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 4.4.0 NVIDIA 331.113
OpenGL shading language version string: 4.40 NVIDIA via Cg compiler
OpenGL context flags: (none)
OpenGL profile mask: (none)
OpenGL extensions:

Can anybody help me to figure out why VMD could not able detect the
graphics card?

Thanks in advance